Package org.bukkit.block.data.type

# Enum Class Bed.Part

java.lang.Object
java.lang.Enum<Bed.Part>
org.bukkit.block.data.type.Bed.Part

All Implemented Interfaces:
  `Serializable`, `Comparable<Bed.Part>`, `Constable`

Enclosing interface:
  Bed

public static enum Bed.Part extends Enum<Bed.Part>
Horizontal half of a bed.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FOOT`
The foot is the lower half of the bed.
`HEAD`
The head is the upper part of the bed containing the pillow.

## Method Summary

Modifier and Type
Method
Description
`static Bed.Part`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Bed.Part[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HEAD

public static final Bed.Part HEAD
The head is the upper part of the bed containing the pillow.

### FOOT

public static final Bed.Part FOOT
The foot is the lower half of the bed.

## Method Details

### values

public static Bed.Part[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Bed.Part valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null